﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Layouts;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        SplitPane _spLeft = null;
        TabGroupPane _tgpLeft = null;

        public MainPage()
        {
            InitializeComponent();

            _spLeft = new SplitPane();
            _tgpLeft = new TabGroupPane();
            _spLeft.Location = XamDockLocation.Left;
            _spLeft.Orientation = Orientation.Vertical;
            _spLeft.Name = "KURRR";
            _tgpLeft.Location = XamDockLocation.Left;
            _tgpLeft.Width = 300;
            _tgpLeft.Height = 400;
        }


        private void button1_Click(object sender, RoutedEventArgs e)
        {
            AddPaneInDockManager("Control1", new TextBlock() { Text = "textblock 1" });
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            AddPaneInDockManager("Control2", new TextBlock() { Text = "textblock 2" });
        }

        private void AddPaneInDockManager(string paneHeader, TextBlock control)
        {
            ContentPane cp = new ContentPane();
            cp.Header = paneHeader;
            cp.AllowClose = true;
            cp.AllowDocking = true;
            cp.AllowDockingFloating = false;
            cp.CloseButtonVisibility = Visibility.Visible;
            cp.WindowPositionMenuVisibility = System.Windows.Visibility.Visible;
            cp.AllowDockingInTabGroupPane = true;
            cp.Content = control;

            if (!xamDockManager1.Panes.Contains(_spLeft))
            {
                if (_spLeft.Parent != null)
                {
                    if (_spLeft.Parent is Grid)
                    {
                        for (int i = 0; i < (_spLeft.Parent as Grid).Children.Count; i++)
                        {
                            if ((_spLeft.Parent as Grid).Children[i] is SplitPane)
                            {
                                (_spLeft.Parent as Grid).Children.RemoveAt(i);
                                break;
                            }
                        }                        
                    }
                }                
                xamDockManager1.Panes.Add(_spLeft);
            }
            if (!_spLeft.Panes.Contains(_tgpLeft))
                _spLeft.Panes.Add(_tgpLeft);
            if (!_tgpLeft.Panes.Contains(cp))
                _tgpLeft.Panes.Add(cp);
        }
    }
}

